Subject: TQM5200 + SM501 FB

From: Rolf Offermanns <[email-masked]>
Date: Fri, 04 Dec 2009 15:23:16 +0100

Hi All,

does anyone has a working SM501 framebuffer on the STK5200 board? The 
board itself works fine on the 2.6.32 kernel.

I got a patch from TQ which used to work around 2.6.24 but it seems with 
the unification of the "simple mpc5200" boards the sm501 support got lost.

I toyed around with the patch a bit and I got the driver to probe and 
initialize the chip, but I don't get an output on the crt port and an 
open() on /dev/fb0 or /dev/fb1 fails with "no device".

Any hints are welcome.

Thanks,
Rolf.